import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverStream.update({
id: "<id>",
});
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverStream.Update(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverStreamServiceUpdateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ssfReceiverStream": {
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"eventTypesEnabled": [
"<string>"
],
"expectedAudience": "<string>",
"id": "<string>",
"issuerUrl": "<string>",
"jwksUrl": "<string>",
"lastErrorAt": "2023-11-07T05:31:56Z",
"lastErrorMessage": "<string>",
"lastVerifiedAt": "2023-11-07T05:31:56Z",
"outboundAuthBearer": {
"token": "<string>"
},
"outboundAuthOauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"tokenUrl": "<string>"
},
"pollEndpointUrl": "<string>",
"pollInterval": "<string>",
"pushAuthToken": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{id}"
payload = {
"ssfReceiverStream": {
"description": "<string>",
"displayName": "<string>",
"enabled": True,
"eventTypesEnabled": ["<string>"],
"expectedAudience": "<string>",
"id": "<string>",
"issuerUrl": "<string>",
"jwksUrl": "<string>",
"lastErrorAt": "2023-11-07T05:31:56Z",
"lastErrorMessage": "<string>",
"lastVerifiedAt": "2023-11-07T05:31:56Z",
"outboundAuthBearer": { "token": "<string>" },
"outboundAuthOauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": ["<string>"],
"tokenUrl": "<string>"
},
"pollEndpointUrl": "<string>",
"pollInterval": "<string>",
"pushAuthToken": "<string>"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ssfReceiverStream: {
description: '<string>',
displayName: '<string>',
enabled: true,
eventTypesEnabled: ['<string>'],
expectedAudience: '<string>',
id: '<string>',
issuerUrl: '<string>',
jwksUrl: '<string>',
lastErrorAt: '2023-11-07T05:31:56Z',
lastErrorMessage: '<string>',
lastVerifiedAt: '2023-11-07T05:31:56Z',
outboundAuthBearer: {token: '<string>'},
outboundAuthOauth2: {
clientId: '<string>',
clientSecret: '<string>',
scopes: ['<string>'],
tokenUrl: '<string>'
},
pollEndpointUrl: '<string>',
pollInterval: '<string>',
pushAuthToken: '<string>'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ssfReceiverStream": {
"accountDisabledAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"credentialChangeAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
"credentialCompromiseAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
"deletedAt": "2023-11-07T05:31:56Z",
"deliveryMethod": "SSF_DELIVERY_METHOD_UNSPECIFIED",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"eventTypesEnabled": [
"<string>"
],
"expectedAudience": "<string>",
"id": "<string>",
"issuerUrl": "<string>",
"jwksUrl": "<string>",
"lastErrorAt": "2023-11-07T05:31:56Z",
"lastErrorMessage": "<string>",
"lastVerifiedAt": "2023-11-07T05:31:56Z",
"outboundAuthBearer": {
"token": "<string>"
},
"outboundAuthOauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"tokenUrl": "<string>"
},
"pollEndpointUrl": "<string>",
"pollInterval": "<string>",
"pushAuthToken": "<string>",
"pushEndpointUrl": "<string>",
"sessionRevokedAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update
Update modifies an existing SSF receiver stream’s configuration. Only fields specified in the update mask are changed.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverStream.update({
id: "<id>",
});
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverStream.Update(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverStreamServiceUpdateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of this SSF receiver stream.
Body
SSFReceiverStreamServiceUpdateRequest carries the stream to update and the mask of fields to modify.
SSFReceiverStream is the public API representation. Secrets (push_auth_token, outbound credentials) are write-only.
This message contains a oneof named outbound_auth. Only a single field of the following list may be set at a time:
- outboundAuthBearer
- outboundAuthOauth2
Show child attributes
Show child attributes
Response
SSFReceiverStreamServiceUpdateResponse contains the updated SSF receiver stream.
SSFReceiverStreamServiceUpdateResponse contains the updated SSF receiver stream.
SSFReceiverStream is the public API representation. Secrets (push_auth_token, outbound credentials) are write-only.
This message contains a oneof named outbound_auth. Only a single field of the following list may be set at a time:
- outboundAuthBearer
- outboundAuthOauth2
Show child attributes
Show child attributes
Was this page helpful?